Pager in search in a block doesn't work

Bug #1218091 reported by Kristina Hoeppner on 2013-08-28
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
High
Robert Lyon
1.5
High
Robert Lyon
1.6
High
Robert Lyon
1.7
High
Robert Lyon

Bug Description

Confirmed on demo.mahara.org

When you have more than 10 text boxes with a similar title and search for them, the correct number of results is shown on the first page below the results, but when you move to the second page, the number of results change and thus the search term is not respected anymore.

E.g. I have 16 text boxes altogether. When I search for "portfolios", I get 8 results on the first page. When I move to the second page, suddenly I have 12 results and when I go to the third page, I have 14 results.

Since the search in the blocks "Journal entry" and "Journal" is essentially the same, these blocks are most likely also affected.

tags: added: regression
Robert Lyon (robertl-9) on 2013-08-29
Changed in mahara:
milestone: 1.8.0rc1 → 1.7.3
milestone: 1.7.3 → 1.8.0rc1
Robert Lyon (robertl-9) wrote :

the problem was the search term was being truncated by 4 chars each time it was being passed back to pagination so you would have been searching thus:

portfolios
portfo
po

then for nothing

this was a left over problem when the returned url used to end in   but later on ended in & so too many char were being stripped from the url

have added patches to fix this problem

https://reviews.mahara.org/#/c/2446/
https://reviews.mahara.org/#/c/2447/
https://reviews.mahara.org/#/c/2448/
https://reviews.mahara.org/#/c/2449/

Changed in mahara:
status: Confirmed → In Progress

Reviewed: https://reviews.mahara.org/2447
Committed: http://gitorious.org/mahara/mahara/commit/aa8e3a1942444e6a01ebf934e160f00348ecbeca
Submitter: Aaron Wells (<email address hidden>)
Branch: 1.7_STABLE

commit aa8e3a1942444e6a01ebf934e160f00348ecbeca
Author: Robert Lyon <email address hidden>
Date: Thu Aug 29 15:22:41 2013 +1200

Fix for pagination when in edit blockinstance doing search (bug 1218091)

Change-Id: Ic24920d47e40f2d3dd21bd6b603d4f0e7442d89f
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/2449
Committed: http://gitorious.org/mahara/mahara/commit/755dda4f64270dc0e923425318cc5fc4c220df60
Submitter: Aaron Wells (<email address hidden>)
Branch: 1.5_STABLE

commit 755dda4f64270dc0e923425318cc5fc4c220df60
Author: Robert Lyon <email address hidden>
Date: Thu Aug 29 15:29:38 2013 +1200

Fix for pagination when in edit blockinstance doing search (bug 1218091)

Change-Id: I0cc4d4a57b5bb3fad45a3e0341b78a5c94c2b48e
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/2448
Committed: http://gitorious.org/mahara/mahara/commit/d70745a89db2db61fbdcf33e493d1ae7111ff945
Submitter: Aaron Wells (<email address hidden>)
Branch: 1.6_STABLE

commit d70745a89db2db61fbdcf33e493d1ae7111ff945
Author: Robert Lyon <email address hidden>
Date: Thu Aug 29 15:26:25 2013 +1200

Fix for pagination when in edit blockinstance doing search (bug 1218091)

Change-Id: I3bba238312182d4eedd88165d948da1a52a3fbde
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/2470
Committed: http://gitorious.org/mahara/mahara/commit/93dd97eee511afa4f15c97a373d7feb6e7cfd0d3
Submitter: Aaron Wells (<email address hidden>)
Branch: master

commit 93dd97eee511afa4f15c97a373d7feb6e7cfd0d3
Author: Robert Lyon <email address hidden>
Date: Thu Aug 29 15:22:41 2013 +1200

Fix for pagination when in edit blockinstance doing search (bug 1218091)

Change-Id: Ic24920d47e40f2d3dd21bd6b603d4f0e7442d89f
Signed-off-by: Robert Lyon <email address hidden>

Aaron Wells (u-aaronw) on 2013-09-03
Changed in mahara:
status: In Progress → Fix Committed
Aaron Wells (u-aaronw) on 2013-09-30
Changed in mahara:
milestone: 1.8rc1 → 1.8.0
Aaron Wells (u-aaronw) on 2013-10-24
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers